<?php
namespace User;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'User\Controller\Import' => 'User\Controller\ImportController'
				),
		),
		'console' => array(
				'router' => array(
						'routes' => array(
								'userimport' => array(
										'options' => array(
												'route'    => 'user import',
												'defaults' => array(
														'controller' => 'User\Controller\Import',
														'action'     => 'process'
												)
										)
								),
								'importnotify' => array(
										'options' => array(
												'route'    => 'user notify',
												'defaults' => array(
														'controller' => 'User\Controller\Import',
														'action'     => 'notify'
												)
										)
								),
						)
				)
		)
);